curl --request GET \
--url https://snapchain-api.neynar.com/v1/reactionsByFid \
--header 'x-api-key: <api-key>'import requests
url = "https://snapchain-api.neynar.com/v1/reactionsByFid"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://snapchain-api.neynar.com/v1/reactionsByFid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"hash": "0xd2b1ddc6c88e865a33cb1a565e0058d757042974",
"hashScheme": "HASH_SCHEME_BLAKE3",
"signature": "aSDinaTvuI8gbWludGxpZnk=",
"signatureScheme": "SIGNATURE_SCHEME_ED25519",
"signer": "<string>",
"data": {
"type": "MESSAGE_TYPE_CAST_ADD",
"fid": 2,
"timestamp": 48994466,
"network": "FARCASTER_NETWORK_MAINNET",
"reactionBody": {
"type": "Like",
"targetCastId": {
"fid": 2,
"hash": "0x03aff391a6eb1772b20b4ead9a89f732be75fe27"
},
"targetUrl": "https://www.example.com/article"
}
}
}
],
"nextPageToken": "AuzO1V0DtaItCwwa10X6YsfStlynsGWT"
}{
"errCode": "<string>",
"presentable": true,
"name": "<string>",
"code": 123,
"details": "<string>",
"metadata": {
"errcode": [
"<string>"
]
}
}By FID
Fetch reactions by a user.
Authorizations
API key to authorize requests
Query Parameters
The FID of the reaction's creator Farcaster ID (FID). A unique identifier assigned to each user in the Farcaster network. This number is permanent and cannot be changed. FIDs are assigned sequentially when users register on the network.
x >= 11
Type of interaction a user can have with content on the Farcaster network.
- Like: Express appreciation for the target content. Similar to "likes" or "favorites" on other platforms.
- Recast: Share the target content with the user's followers, similar to a "retweet" or "reblog". Helps increase content visibility.
Like, Recast "Like"
Maximum number of messages to return in a single response
Reverse the sort order, returning latest messages first
The page token returned by the previous query, to fetch the next page. If this parameter is empty, fetch the first page
Response
The requested Reactions.
Show child attributes
Show child attributes
Base64-encoded pagination token for fetching the next page of results. An empty value indicates there are no more pages to return. Used in conjunction with the pageSize parameter to implement pagination across large result sets.
^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$"AuzO1V0DtaItCwwa10X6YsfStlynsGWT"
Was this page helpful?